Update nodes in bulk
curl --request PATCH \
--url https://api.melius.com/api/v1/canvases/{canvasId}/direct/nodes/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-team-id: <api-key>' \
--data '
{
"nodes": [
{
"nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelConfig": {
"model": "<string>",
"variant": "<string>",
"tier": "<string>"
},
"textPrompt": "<string>",
"text": "<string>",
"outputDuration": 1,
"matchAudioToVideoDuration": true,
"seed": 1073741823,
"negativePrompt": "<string>",
"stitchClipOrder": [
"<string>"
],
"stitchAudioOverlays": [
{
"nodeId": "<string>",
"startTimeSeconds": 1,
"trimStartMs": 1,
"trimEndMs": 1
}
],
"stitchClipTrims": {},
"voiceId": "<string>",
"customVoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.melius.com/api/v1/canvases/{canvasId}/direct/nodes/bulk"
payload = { "nodes": [
{
"nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelConfig": {
"model": "<string>",
"variant": "<string>",
"tier": "<string>"
},
"textPrompt": "<string>",
"text": "<string>",
"outputDuration": 1,
"matchAudioToVideoDuration": True,
"seed": 1073741823,
"negativePrompt": "<string>",
"stitchClipOrder": ["<string>"],
"stitchAudioOverlays": [
{
"nodeId": "<string>",
"startTimeSeconds": 1,
"trimStartMs": 1,
"trimEndMs": 1
}
],
"stitchClipTrims": {},
"voiceId": "<string>",
"customVoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
nodes: [
{
nodeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
modelConfig: {model: '<string>', variant: '<string>', tier: '<string>'},
textPrompt: '<string>',
text: '<string>',
outputDuration: 1,
matchAudioToVideoDuration: true,
seed: 1073741823,
negativePrompt: '<string>',
stitchClipOrder: ['<string>'],
stitchAudioOverlays: [{nodeId: '<string>', startTimeSeconds: 1, trimStartMs: 1, trimEndMs: 1}],
stitchClipTrims: {},
voiceId: '<string>',
customVoiceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://api.melius.com/api/v1/canvases/{canvasId}/direct/nodes/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geometry": {
"x": 123,
"y": 123,
"w": 123,
"h": 123,
"zIndex": 123
},
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"modelConfig": {
"model": "<string>",
"variant": "<string>",
"tier": "<string>",
"ratios": [
"<string>"
],
"resolution": "<string>",
"voiceId": "<string>",
"customVoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"font": {
"familyName": "<string>"
}
},
"textPrompt": "<string>",
"outputDuration": 1,
"seed": 1073741823,
"negativePrompt": "<string>",
"src": "<string>",
"previewSrc": "<string>",
"generatedText": "<string>",
"activeVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetDurationInMs": 1,
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"autoModel": true,
"fastModel": true,
"matchAudioToVideoDuration": true,
"stitchClipOrder": [
"<string>"
],
"stitchAudioOverlays": [
{
"nodeId": "<string>",
"startTimeSeconds": 1,
"trimStartMs": 1,
"trimEndMs": 1
}
],
"stitchClipTrims": {},
"voiceId": "<string>",
"customVoiceId": "<string>",
"elevenLabsVoiceSettings": {
"speed": 2.125,
"stability": 0.5,
"similarityBoost": 0.5,
"style": 0.5,
"speakerBoost": true,
"removeBackgroundNoise": true
}
}
]
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Nodes
Update nodes in bulk
PATCH
/
api
/
v1
/
canvases
/
{canvasId}
/
direct
/
nodes
/
bulk
Update nodes in bulk
Authorizations
A Melius API key (mel_...), sent as Authorization: Bearer <key>.
The team (workspace) to act on. Defaults to the key's team when omitted.
Path Parameters
Body
application/json
Body
Required array length:
1 - 200 elementsShow child attributes
Show child attributes
Response
200
Show child attributes
Show child attributes
Last modified on July 9, 2026
⌘I